{% load static %}
<!-- {% include 'lab4_navbar.html' %} -->

<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8" />
        <title>Note list Lab 4</title>
        <link rel="stylesheet" href="{% static 'style.css' %}">
        <link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
    </head>
    <body>
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
        <!-- <script type="text/JavaScript">
            alert("Hello World!");
        </script> -->
          
        <h1 id="header">Note Table</h1>
        <table align="center" class="myTable">
            <tr>
                <th>To</th>
                <th>From</th>
                <th>Title</th>
                <th>Message</th>
                <th>Actions</th>
            </tr>
            <!-- TODO loop from Note model -->
            {% for note in notes %}
            <tr>
                <td>{{ note.to }}</td>
                <td>{{ note.From }}</td>
                <td>{{ note.title }}</td>
                <td>{{ note.message }}</td>
                <td>
                    <table class="butTable">
                        <tr><td><button type="button" class="butView" onclick="document.getElementById('view').style.display='block'">View</button></td></tr>
                        <tr><td><button type="button" class="butEdit" onclick="document.getElementById('edit').style.display='block'">Edit</button></td></tr>
                        <tr><td><button type="button" class="butDelete" onclick="document.getElementById('delete').style.display='block'">Delete</button></td></tr>
                    </table>
                </td>
            </tr>
            {% endfor %}
            <!-- END SECTION -->
        </table>

        <div id="view" class="w3-modal">
            <div class="w3-modal-content">
              <div class="w3-container">
                <span onclick="document.getElementById('view').style.display='none'" class="w3-button w3-display-topright">&times;</span>
                    
              </div>
            </div>
        </div>
        <div id="edit" class="w3-modal">
            <div class="w3-modal-content">
              <div class="w3-container">
                <span onclick="document.getElementById('edit').style.display='none'" class="w3-button w3-display-topright">&times;</span>
              </div>
            </div>
        </div>
        <div id="delete" class="w3-modal">
            <div class="w3-modal-content">
              <div class="w3-container">
                <span onclick="document.getElementById('delete').style.display='none'" class="w3-button w3-display-topright">&times;</span>
                    
              </div>
            </div>
        </div>



    </body>
</html>
